Bug 175089 - mail/mutt has blank pkg-message
Summary: mail/mutt has blank pkg-message
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-07 07:50 UTC by Anders Nyström
Modified: 2013-01-08 05:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Nyström 2013-01-07 07:50:00 UTC
The mail/mutt port outputs a blank post-install message.

===>>> pkg-message for mutt-1.5.21_1


===>>> Done displaying pkg-message files

(END)

How-To-Repeat: Install /usr/ports/mail/mutt
Comment 1 Edwin Groothuis freebsd_committer 2013-01-07 07:50:06 UTC
Maintainer of mail/mutt,

Please note that PR ports/175089 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175089

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-01-07 07:50:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jason Helfman freebsd_committer 2013-01-07 07:57:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 4 Mark Linimon 2013-01-08 04:41:50 UTC
----- Forwarded message from "Schweigert, Udo CERT" <Udo.Schweigert@siemens.com> -----

Date: Mon, 7 Jan 2013 09:01:08 +0100
From: "Schweigert, Udo CERT" <Udo.Schweigert@siemens.com>
To: "jgh@freebsd.org" <jgh@freebsd.org>
Cc: Udo Schweigert <Udo.Schweigert@siemens.com>,
	"freebsd-ports-bugs@freebsd.org" <freebsd-ports-bugs@freebsd.org>
Subject: Re: ports/175089: mail/mutt has blank pkg-message

Thanks and please close immediately as the pkg-message file is optional.
As the port does not contain a pkg-message file the reported behavior is
intended.

Udo

----- End forwarded message -----
Comment 5 dfilter service freebsd_committer 2013-01-08 05:06:35 UTC
Author: jgh
Date: Tue Jan  8 05:06:26 2013
New Revision: 310066
URL: http://svnweb.freebsd.org/changeset/ports/310066

Log:
  - conditionally print pkg-message
  
  PR:		175089
  Submitted by:	wicked@baot.se
  Approved by:	maintainer, udo.schweigert@siemens.com
  Patched by:	jgh@

Modified:
  head/mail/mutt/Makefile

Modified: head/mail/mutt/Makefile
==============================================================================
--- head/mail/mutt/Makefile	Tue Jan  8 05:01:58 2013	(r310065)
+++ head/mail/mutt/Makefile	Tue Jan  8 05:06:26 2013	(r310066)
@@ -1,7 +1,4 @@
-# ex:ts=8
-# Ports collection makefile for:  mutt development
-# Date created:			  6 Jun 2001
-# Whom:				  Udo Schweigert
+# Created by: Udo Schweigert
 #
 # $FreeBSD$
 #
@@ -593,7 +590,6 @@ pre-install:
 	@${SETENV} ${SCRIPTS_ENV} ${SH} ${SCRIPTDIR}/generate-plist > ${PLIST}
 
 post-install:
-	@${ECHO} > ${PKGMESSAGE}
 	${INSTALL_DATA} ${WRKSRC}/doc/Muttrc ${PREFIX}/etc/Muttrc.dist
 .if !defined(NOPORTDOCS)
 	@${ECHO} "===>   Installing Mutt documentation"
@@ -616,7 +612,7 @@ post-install:
 	@${ECHO} "environment." >> ${PKGMESSAGE}
 	@${ECHO} "=====================================================" >> ${PKGMESSAGE}
 .endif
-.if !defined(BATCH)
+.if !defined(BATCH) && defined(MUTT_USES_SLANG)
 	@${CAT} ${PKGMESSAGE}
 	@${ECHO}
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Jason Helfman freebsd_committer 2013-01-08 05:07:07 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!